> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seekr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get file event

> Retrieve the event history for a specific file.



## OpenAPI

````yaml get /v1/flow/events/files/{file_id}
openapi: 3.1.0
info:
  title: SeekrFlow API
  description: SeekrFlow API Documentation
  termsOfService: http://www.seekr.com/support
  contact:
    name: Seekr API Support
    url: http://www.seekr.com/contact
    email: contact@seekr.com
  version: 5.87.1
servers:
  - url: https://flow.seekr.com
    description: SeekrBuild server base URL
security: []
paths:
  /v1/flow/events/files/{file_id}:
    get:
      tags:
        - Files
      summary: Get file event
      description: Retrieve the event history for a specific file.
      operationId: get_file_events_by_id_v1_flow_events_files__file_id__get
      parameters:
        - name: file_id
          in: path
          required: true
          schema:
            type: string
            title: File Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetEventsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    GetEventsResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/Event'
          type: array
          title: Data
      type: object
      required:
        - data
      title: GetEventsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Event:
      properties:
        id:
          type: integer
          title: Id
        type:
          $ref: '#/components/schemas/EventType'
        type_id:
          type: string
          title: Type Id
        status:
          $ref: '#/components/schemas/EventStatus'
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - type
        - type_id
        - status
        - created_at
      title: Event
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    EventType:
      type: string
      enum:
        - Files
        - Finetune
        - Deployments
        - Alignment
      title: EventType
    EventStatus:
      type: string
      enum:
        - Inactive
        - Pending
        - Active
        - Failed
        - Started
        - Success
        - Uploading
        - Completed
        - Deleted
        - Cancelled
        - Queued
        - Running
      title: EventStatus
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      description: Seekr API Key without 'Bearer' Prefix
      in: header
      name: Authorization

````